# -*- coding : UTF-8 -*-

# DeepSky とソケット通信を行うPythonサンプルプログラムです。
# 本プログラムはソケット通信の参考として自由にご使用ください。
# プログラムに関する説明および使い方等のサポートは致しかねます。

# 0.ライブラリのインポートと変数定義
import socket

print('INPUT: IP ADDRESS (or localhost)')
val = input()
target_ip = val
print('INPUT: PORT NUMBER')
val = input()
target_port = int(val)

print('INPUT: DELIMETER (cr / lf / crlf)')
val = input()
if(val == 'cr'):
    delim = '\r'
elif(val == 'lf'):
    delim = '\n'
else:
    delim = '\r\n'

buffer_size = 4096

# 1.ソケットオブジェクトの作成
tcp_client = socket.socket(socket.AF_INET, socket.SOCK_STREAM)

# 2.サーバに接続
tcp_client.connect((target_ip, target_port))

while True:
    print('INPUT: COMMAND ([*] to exit)')
    val = input()
    if val == '*': break

    # 3.サーバにデータを送信
    val += delim
    tcp_client.send(val.encode(encoding='utf-8'))

    # 4.サーバからのレスポンスを受信
    response = tcp_client.recv(buffer_size)
    response = response.decode(encoding='utf-8')
    print("RESPONSE: {}".format(response))

tcp_client.shutdown(socket.SHUT_RDWR)
tcp_client.close()
